// ############################################
// Prototypes for ecliptic coordinate functions
// ############################################

#include "VSOP_ELP.h"
#include "Frames.h"

// Function to calculate geocentric ecliptic coordinates of Mercury.
void MercuryEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Venus.
void VenusEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Sun.
void SunEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Mars.
void MarsEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Jupiter.
void JupiterEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Saturn.
void SaturnEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Uranus.
void UranusEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Neptune.
void NeptuneEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric ecliptic coordinates of Sun.
void MoonEcliptic (double t, double& r, double& beta, double& lambda, int FK5, int Precess, int Nutate, int Aberrate);

