// ############################################
// Prototypes for ecliptic coordinate functions
// ############################################

#include "Ecliptic.h"

// Function to calculate geocentric equatorial coordinates of Mercury
void MercuryEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Venus
void VenusEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Sun
void SunEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Mars
void MarsEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Jupiter
void JupiterEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Saturn
void SaturnEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Uranus
void UranusEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Neptune
void NeptuneEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

// Function to calculate geocentric equatorial coordinates of Sun
void MoonEquatorial (double t, double& r, double& delta, double& RA, int FK5, int Precess, int Nutate, int Aberrate);

