// #############################
// Definitions of file functions
// #############################

#include "File.h"

// =================================
// Function to open file for writing
// =================================
FILE* OpenFile (const char filename[], const char mode[])
{
  FILE* file = fopen (filename, mode);
  if (file == NULL)
    {
      printf ("Error: Cannot open file %s\n", filename);
      exit (1);
    }

  return file;
}

